Xerces-C++ 3.1.3

- Main Page
- Related Pages
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

Public Member Functions | List of all members
XMLGrammarDescription Class Reference
Inheritance diagram for XMLGrammarDescription:

## Public Member Functions

MemoryManager * | getMemoryManager () const
Virtual destructor for derived classes
virtual | ~XMLGrammarDescription ()
| virtual destructor
The Grammar Description Interface
virtual Grammar::GrammarType | getGrammarType () const =0
| getGrammarType
virtual const XMLCh * | getGrammarKey () const =0
| getGrammarKey
Public Member Functions inherited from XMemory
void * | operator new (size_t size)
| This method overrides operator new.
void * | operator new (size_t size, MemoryManager *memMgr)
| This method defines a custom operator new, that will use the provided memory manager to perform the allocation.
void * | operator new (size_t size, void *ptr)
| This method overrides placement operator new.
void | operator delete (void *p)
| This method overrides operator delete.
void | operator delete (void *p, MemoryManager *memMgr)
| This method provides a matching delete for the custom operator new.
void | operator delete (void *p, void *ptr)
| This method provides a matching delete for the placement new.

## Protected Member Functions

| XMLGrammarDescription (MemoryManager *const memMgr=XMLPlatformUtils::fgMemoryManager)
| Hidden Constructors.
Protected Member Functions inherited from XMemory
| XMemory ()
| Protected default constructor.

## Constructor & Destructor Documentation

virtual XMLGrammarDescription::~XMLGrammarDescription | ( |  | ) |

virtual

virtual destructor

XMLGrammarDescription::XMLGrammarDescription | ( | MemoryManager *const | memMgr = `XMLPlatformUtils::fgMemoryManager` | ) |

protected

Hidden Constructors.

## Member Function Documentation

virtual const XMLCh* XMLGrammarDescription::getGrammarKey | ( |  | ) | const

pure virtual

getGrammarKey

virtual Grammar::GrammarType XMLGrammarDescription::getGrammarType | ( |  | ) | const

pure virtual

getGrammarType

Implemented in XMLSchemaDescription, and XMLDTDDescription.

MemoryManager * XMLGrammarDescription::getMemoryManager | ( |  | ) | const

The documentation for this class was generated from the following file:

- XMLGrammarDescription.hpp